
Ruby - Bug #9337

[BUG] Segmentation fault at 0x00000000000018 ruby 2.1.0p0 (2013-12-25 revision 44422)

[x86_64-linux]

01/01/2014 08:49 PM - danielr (Daniel Ristic)

Status: Closed   

Priority: Normal   

Assignee:    

Target version:    

ruby -v: ruby 2.1.0p0 (2013-12-25 revision

44422) [x86_64-linux]

Backport:  

Description

Tried to switch to ruby 2.1.0 on my rails app that runs on a linux server.

During deployment when executing rake assets:precompile I got a Segmentation fault error.

Tried to to the same thing locally (on a mac os system) and I got the same error.

Crash logs and diagnostic report attached.

History

#1 - 01/03/2014 09:09 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Open to Feedback

Could you try to trunk version of Ruby? It seems to be fixed by r44458 probably.

#2 - 01/25/2014 10:53 PM - summerspirit (Naomi Freeman)

I also get this error, while running ruby 2.1.0 on my rails app, iMac, trying to run my first rspec test.

#3 - 07/20/2019 03:50 AM - jeremyevans0 (Jeremy Evans)

- Status changed from Feedback to Closed

- Backport deleted (1.9.3: UNKNOWN, 2.0.0: UNKNOWN, 2.1: UNKNOWN)

Files

crash_report.txt 187 KB 01/01/2014 danielr (Daniel Ristic)

local_crash_report.txt 145 KB 01/01/2014 danielr (Daniel Ristic)

local_ruby_diagnostic_report.crash 19.6 KB 01/01/2014 danielr (Daniel Ristic)
